<?php
namespace App\Controller\Admin;

use App\Controller\AppController;
use Cake\Network\Http\Client;
use Cake\I18n\Time;
/**
 * CarteiraAlunos Controller
 *
 * @property \App\Model\Table\CarteiraAlunosTable $CarteiraAlunos
 */
class CarteiraAlunosController extends AppController
{


    public function index()
    {

        $conditions = [];

        if(isset($this->request->query['busca'])){


            $busca = $this->request->query['busca'];
            $likes[] = ['CarteiraAlunos.ca_nome LIKE'=>"%$busca%"];
            $likes[] = ['CarteiraAlunos.ca_email  LIKE'=>"%$busca%"];
            $likes[] = ['Students.stu_cpf'=>$busca];
            $likes[] = ['CarteiraAlunos.ca_nome LIKE'=>"%$busca%"];
            $conditions[] = ['OR'=>$likes];

        }


        $this->paginate = [
            'contain' => ['Students'],
            'conditions'=>$conditions,
        ];



        $carteiraAlunos = $this->paginate($this->CarteiraAlunos);



        $this->set(compact('carteiraAlunos'));
        $this->set('_serialize', ['carteiraAlunos']);
    }

    /**
     * View method
     *
     * @param string|null $id Carteira Aluno id.
     * @return \Cake\Network\Response|null
     * @throws \Cake\Datasource\Exception\RecordNotFoundException When record not found.
     */
    private function view($id = null)
    {
        $carteiraAluno = $this->CarteiraAlunos->get($id, [
            'contain' => []
        ]);

        $this->set('carteiraAluno', $carteiraAluno);
        $this->set('_serialize', ['carteiraAluno']);
    }


    /**
     * Edit method
     *
     * @param string|null $id Carteira Aluno id.
     * @return \Cake\Network\Response|void Redirects on successful edit, renders view otherwise.
     * @throws \Cake\Network\Exception\NotFoundException When record not found.
     */
    public function edit($id = null)
    {
        $carteiraAluno = $this->CarteiraAlunos->get($id, [
            'contain' => ['Students']
        ]);
        if ($this->request->is(['patch', 'post', 'put'])) {
            $carteiraAluno = $this->CarteiraAlunos->patchEntity($carteiraAluno, $this->request->data);
            if ($this->CarteiraAlunos->save($carteiraAluno)) {
                $this->Flash->success(__('The carteira aluno has been saved.'));

                return $this->redirect(['action' => 'index']);
            } else {
                $this->Flash->error(__('The carteira aluno could not be saved. Please, try again.'));
            }
        }


        $this->set(compact('carteiraAluno'));
        $this->set('_serialize', ['carteiraAluno']);
    }

}
